# $Revision: 1.6 $, $Date: 2010/07/08 08:27:03 $
%define		module	pkpgcounter

Summary:	Page Description Language parser
Summary(pl.UTF-8):	Analizator języka opisu strony
Name:		python-%{module}
Version:	3.50
Release:	2
License:	LGPL
Group:		Development/Languages/Python
Source0:	http://www.pykota.com/software/pkpgcounter/download/tarballs/%{module}-%{version}.tar.gz
# Source0-md5:	564dd96e8a5433564c2e39319e65217e
URL:		http://www.pykota.com/software/pkpgcounter/
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-PIL
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pkpgcounter is a generic Page Description Language parser which
can either count the number of pages or compute the percent of
ink coverage needed to print various types of documents.

%description -l pl.UTF-8
pkpgcounter jest ogólnym analizatorem języka opisu strony, który
potrafi policzyć liczbę stron albo procentowe pokrycie atramentem
potrzebne do wydrukowania różnych typów dokumentów.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

# we already have these files in %doc
rm -fr $RPM_BUILD_ROOT%{_docdir}/%{module}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CREDITS NEWS README
%attr(755,root,root) %{_bindir}/pkpgcounter
%dir %{py_sitescriptdir}/pkpgpdls
%{py_sitescriptdir}/pkpgpdls/*.py[co]
%{py_sitescriptdir}/*.egg-info
%{_mandir}/man1/pkpgcounter.1*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pkpgcounter.spec,v $
Revision 1.6  2010/07/08 08:27:03  arekm
- release 2

Revision 1.5  2009/03/14 15:24:59  duddits
- up to 3.50
- cleaning

Revision 1.4  2008/10/03 17:55:39  arekm
- release 3

Revision 1.3  2008-05-07 17:51:57  qboosh
- longer pl desc
- BR: rpm-pythonprov
- use __python macro
- noarch

Revision 1.2  2007-12-08 00:36:42  baggins
- rel 2
- BR PIL

Revision 1.1  2007-12-08 00:28:25  baggins
- initial revision

Revision 1.1  2007-12-08 00:15:34  baggins
- initial revision
